Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model
Class NamespaceManagerAdapter

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.NamespaceManagerAdapter

All Implemented Interfaces:
  NamespaceManagerListener

    public class NamespaceManagerAdapter

extends Object
implements NamespaceManagerListener

An empty implementation of the NamespaceManagerListener interface.

Author:
  Holger Knublauch

Constructor Summary
`NamespaceManagerAdapter()`

Method Summary
`void` | `defaultNamespaceChanged(String oldValue, String newValue)`
`void` | `namespaceChanged(String prefix, String oldValue, String newValue)`
`void` | `prefixAdded(String prefix)`
`void` | `prefixChanged(String namespace, String oldPrefix, String newPrefix)`
`void` | `prefixRemoved(String prefix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamespaceManagerAdapter

    public NamespaceManagerAdapter()

Method Detail

### defaultNamespaceChanged

    public void defaultNamespaceChanged(String oldValue,
                                        String newValue)

  Specified by:
    `defaultNamespaceChanged` in interface `NamespaceManagerListener`

### namespaceChanged

    public void namespaceChanged(String prefix,
                                 String oldValue,
                                 String newValue)

  Specified by:
    `namespaceChanged` in interface `NamespaceManagerListener`

### prefixAdded

    public void prefixAdded(String prefix)

  Specified by:
    `prefixAdded` in interface `NamespaceManagerListener`

### prefixChanged

    public void prefixChanged(String namespace,
                              String oldPrefix,
                              String newPrefix)

  Specified by:
    `prefixChanged` in interface `NamespaceManagerListener`

### prefixRemoved

    public void prefixRemoved(String prefix)

  Specified by:
    `prefixRemoved` in interface `NamespaceManagerListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.